export default [
    // Pickaxe
    {
        default: true,
        tool: {
            regex: /:(\D*_)?(pickaxe|hammer)$/,
            tags: ['is_pickaxe', 'break:hammer', 'is_hammer'],
        },
        blocks: {
            tags: ['stone', 'metal', 'mob_spawner', 'rail', 'pick_diggable', 'is_pickaxe_item_destructible'],
            types: ['ancient_debris', /:\D*_ore$/, 'netherite', 'ender_chest', /\D*_nylium$/],
        },
    },
    // Shovel
    {
        tool: {
            regex: /:(\D*_)?shovel$/,
            tags: ['is_shovel'],
        },
        blocks: {
            tags: ['dirt', 'sand', 'gravel', 'grass', 'fertilize_area', 'is_shovel_item_destructible'],
            types: ['snow', 'clay'],
        },
        interactions: {
            tags: ['dirt', 'grass', 'fertilize_area'],
            types: ['dirt', 'grass_block', 'snow_layer'],
        },
    },
    // Axe
    {
        weapon: 4,
        tool: {
            regex: /:(\D*_)?(axe|battleaxe)/,
            tags: ['is_axe'],
        },
        blocks: {
            tags: ['wood', 'pumpkin', 'text_sign', 'log', /is_(hatchet|axe)_item_destructible/],
            types: [/:(\D*_)?chest$/, 'bamboo', 'melon_block', /:\D*_table$/, /:\D*_stem$/],
        },
        interactions: {
            tags: ['wood', 'log'],
            types: [/:[^strippped_](\D*_)?(log|wood)$/],
        },
    },
    // Hoe
    {
        tool: {
            regex: /:(\D*_)?(hoe|scythe)$/,
            tags: ['is_hoe'],
        },
        blocks: {
            tags: [':crop', 'is_hoe_item_destructible'],
            types: [/\D*:hay_block$/, 'leaves'],
        },
        interactions: {
            tags: ['dirt', 'grass', 'fertilize_area'],
            types: ['dirt', 'grass_block', 'farmland'],
        },
    },
    // Shears
    {
        tool: {
            regex: /:(\D*_)?shears$/,
            tags: ['is_shears'],
        },
        blocks: {
            tags: ['is_shears_item_destructible'],
            types: ['wool', 'vine', 'leaves'],
        }
    },
    // Sword
    {
        weapon: 1,
        tool: {
            regex: /:(\D*_)?(sword|katana|dagger|knife)$/,
            tags: ['is_sword'],
        },
        blocks: {
            tags: ['is_sword_item_destructible'],
            types: [/\D*:web$/, 'bamboo'],
        }
    },
    // Mace
    {
        weapon: 2,
        tool: {
            regex: /:(\D*_)?mace/,
            tags: ['is_mace'],
        },
        blocks: {
            tags: ['is_mace_item_destructible'],
            types: [],
        }
    },
    // Brush
    {
        tool: {
            regex: /\D*:brush/,
            tags: ['is_brush'],
        },
        interactions: {
            types: [/minecraft:suspicious_/],
            tags: [],
        },
    },
    // Trident
    {
        weapon: 3,
        tool: {
            regex: /:(\D*_)trident/,
            tags: ['is_trident'],
        },
    }
];
[];
