import { getTooBelts, parseItem, setupContainer } from "../libraries/Belt";
import { afterEvents, Vector } from "../libraries/utils";
import { EquipmentSlot } from "@minecraft/server";
afterEvents.playerPlaceBlock.subscribe(({ player, block }) => {
    const hand = player.equippable.getEquipmentSlot(EquipmentSlot.Mainhand);
    if (hand.hasItem() && hand.typeId === block.typeId)
        return;
    const belts = getTooBelts(player);
    for (const belt of belts) {
        const data = belt.data;
        for (let j = 0; j < data.length; j++) {
            const item = parseItem(data[j]);
            if (item?.typeId !== block.typeId)
                continue;
            const entity = setupContainer(player, belt, '', Vector.multiply(player.getViewDirection(), -1));
            belt.loadInventory(entity);
            player.inventory.container?.swapItems(player.selectedSlotIndex, data[j].slot, entity.inventory?.container);
            player.dimension.playSound('armor.equip_generic', player.getHeadLocation());
            belt.saveInventory(entity);
            return entity.remove();
        }
    }
});
